#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include <conio.h>

#define RX_SIZE         4096    /* taille tampon d'entrée  */
#define TX_SIZE         4096    /* taille tampon de sortie */
#define MAX_WAIT_READ   500    /* temps max d'attente pour lecture (en ms) */

extern BOOL OpenCOM(char *nport,long speed);
extern BOOL CloseCOM(void);
extern BOOL ReadCOM(void* buffer, int nBytesToRead, int* pBytesRead);
extern BOOL WriteCOM(void* buffer, int nBytesToWrite, int* pBytesWritten);

/* VARIABLES GLOBALES */
extern HANDLE HDL_Com;       /* handle de la com */
extern DCB g_dcb;
